#
# spec file for package python3-versioneer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-versioneer
Version:        0.18
Release:        1.6
Summary:        Easy VCS-based management of project version strings
License:        SUSE-Public-Domain
Group:          Development/Languages/Python
Url:            https://github.com/warner/python-versioneer
Source:         https://files.pythonhosted.org/packages/source/v/versioneer/versioneer-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Versioneer is a tool to automatically update version strings (in
setup.py and the conventional ‘from PROJECT import _version’ pattern)
by asking your version-control system about the current tree.

%prep
%setup -q -n versioneer-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.md NOTES details.md developers.md
%{_bindir}/versioneer

%changelog
* Sun Jan  8 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.18:
  * test python-3.6 too
  * Allow spaces in system interpreter path.
  * Add newline to end of file.
  * Switch to entry_points.
  * Add required batch file.
  * Comply with PEP 8.
  * travis: ignore pypy3 failures
  * tweak whitespace to appease latest flake8
  * Minor, fix version-style to style in docs
* Wed Sep 28 2016 arun@gmx.de
- update to version 0.17:
  * tox: run pep8 on the generated files
  * from_keywords: appease pep8
  * tolerate CR and CRLF in _version.py
  * 'date' fixes
  * documented `date` entry of version dictionary
  * another flake8 fix
  * missed to fill date into returned version dict
  * flake8 based corrections to pass tests
  * changed time entry to date, modified tests to pass
  * add commit date support to git
  * add comment from the pull request to document limitations
  * Add py2exe build command
  * tox.ini: avoid newer flake8 on older pythons
  * Remove unused import in _version.py from file
  * b64decode in python3.2 accepts only bytes py32 added to the test
    suite as special case with virtualenv < 14.0 updated README.md and
    setup.py with correct python versions tox configuration modified
    accordingly
  * tox: report pip version too
  * git/from_vcs: improve are-we-in-.git check
  * Prevent false warning about module location on windows.
  * README: document limitations of subproject support
  * tolerate py26's lack of unittest.skip and .expectedFailure
  * skip known-failing test properly
  * mark expected-fail tests until pip gets fixed
  * subprocess: show stdout when verbose and command fails
  * cmdclass: add notes
  * add new tests, some fail
  * hush flake8
  * tolerate ignored paths in git-status output
  * test_git: rewrite path handling
  * merge both run_command flavors into a single function
  * Use git to check if we are in a git working copy, rather than
    checking for a .git directory
  * Fix a couple of issues in the test that cropped up while adding
    support for sub directory projects
  * When searching for version from parent directory name, search up
    the hierarchy two levels
  * factor out common parts of both run_command flavors
  * Add a run_command helper that returns the exit code instead of
    stdout
  * Update test_git to include a test where setup.py is located a
    directory below the git root directory
  * README: add list of known limitations
  * README: split INSTALL.md out to a separate file
  * README: split UPGRADING.md out to a separate file
  * test_invocations: disable pip cache
  * bump version while between releases
  * return to full pyflakes coverage
  * travis: switch to using tox
  * add tox
  * tests: set environment to provide git config
  * make 'versioneer --version' work too
* Mon Jul  4 2016 arun@gmx.de
- initial version
